from tkinter import *
from tkinter import messagebox
from tkinter import filedialog

import string

from imagecanvas import *


#■ メイン処理
#(以下、入出力テスト処理：実行するとき先頭の'#'を外します)
root=Tk()
FT=[('BMPファイル','*.bmp'), ('すべてのファイル', '*.*')]
DR='c:\\'
filename=filedialog.askopenfilename(filetypes=FT)
if filename!="":
    bitmap=readBitmap(filename)
    root.title("1画素当たりのビット数 = "+str(bitmap.info.BitCount))
    if bitmap!=[]:
        #■ビットマップ表示
        #　(以下3行のコメントはカラーマップ表示。画像はフルカラー以外を指定する)
        #canvas=Canvas(root,width=500,height=500)
        #canvas.pack()
        #displayColormap(canvas,bitmap)
        #---カラーマップ表示するときはroot.update()の直前までをコメントにする---
        canvas=Canvas(root,width=bitmap.info.width,height=bitmap.info.height)
        canvas.pack()
        cbit=drawBitmap(canvas, bitmap)
        root.update()
        #■ GetPixelとSetPixelのテスト
        for x in range(100):
             for y in range(100):
                 cbit.SetPixel(x,y,cbit.GetPixel(100+x,100+y))
        #----------------------------------------------------------------------
        root.update()
        filename=filedialog.asksaveasfilename(filetypes=FT)
        if filename!="":
            root.title("出力変換中です")
            writeBitmap(filename,cbit,bitmap)
            root.title("1画素当たりのビット数 = "+str(bitmap.info.BitCount))

        root.mainloop()
